FreeBSD : py-imaging, py-pillow -- Buffer overflow in FLI decoding code (6ea60e00-cf13-11e5-805c-5453ed2e2b49)

Medium Nessus Plugin ID 88670


The remote FreeBSD host is missing one or more security-related updates.


The Pillow maintainers report :

In all versions of Pillow, dating back at least to the last PIL 1.1.7 release, FliDecode.c has a buffer overflow error.

There is a memcpy error where x is added to a target buffer address. X is used in several internal temporary variable roles, but can take a value up to the width of the image. Im->image[y] is a set of row pointers to segments of memory that are the size of the row. At the max y, this will write the contents of the line off the end of the memory buffer, causing a segfault.

This issue was found by Alyssa Besseling at Atlassian.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 88670

File Name: freebsd_pkg_6ea60e00cf1311e5805c5453ed2e2b49.nasl

Version: $Revision: 2.3 $

Type: local

Published: 2016/02/10

Modified: 2016/10/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P


Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:py27-imaging, p-cpe:/a:freebsd:freebsd:py27-pillow, p-cpe:/a:freebsd:freebsd:py33-pillow, p-cpe:/a:freebsd:freebsd:py34-pillow, p-cpe:/a:freebsd:freebsd:py35-pillow, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/02/09

Vulnerability Publication Date: 2016/02/05

Reference Information

CVE: CVE-2016-0775